aim4.vehicle

## Interface AutoVehicleSimView

- All Superinterfaces:
    AutoVehicleDriverView, VehicleDriverView, VehicleSimView
  All Known Subinterfaces:
    ProxyVehicleSimView
  All Known Implementing Classes:
    BasicAutoVehicle, ProxyVehicle

      public interface AutoVehicleSimView
      extends AutoVehicleDriverView, VehicleSimView

  The interface of an autonomous vehicle from the viewpoint of a simulator.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface aim4.vehicle.AutoVehicleDriverView

      `AutoVehicleDriverView.LRFMode`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setLRFSensing(boolean sensing)` Set whether or not the laser range finder is sensing anything.

    - ### Methods inherited from interface aim4.vehicle.AutoVehicleDriverView

      `getBitsReceived, getBitsTransmitted, getDriver, getFrontVehicleDistanceSensor, getFrontVehicleSpeedSensor, getIntervalometer, getLastV2IMessage, getLRFDistance, getLRFMode, getRearVehicleDistanceSensor, getRearVehicleSpeedSensor, getTargetLaneForVehicleTracking, getTransmissionPower, isLRFSensing, isVehicleTracking, pollAllMessagesFromI2VInbox, receive, send, setTargetLaneForVehicleTracking, setVehicleTracking`

    - ### Methods inherited from interface aim4.vehicle.VehicleSimView

      `checkCurrentTime, getAcceleration, getCenterPoint, getCornerPoints, getEdges, getHeading, getPointAtMiddleFront, getPointAtRear, getPosition, getShape, getShape, getV2IOutbox, getVelocity, getWheelShapes, move, setDriver, setVIN`

    - ### Methods inherited from interface aim4.vehicle.VehicleDriverView

      `coast, gaugeHeading, gaugePointAtMiddleFront, gaugePointAtRear, gaugePointBetweenFrontWheels, gaugePosition, gaugeRearLeftCornerPoint, gaugeRearRightCornerPoint, gaugeShape, gaugeTime, gaugeVelocity, getAccelSchedule, getSpec, getVIN, printState, removeAccelSchedule, setAccelSchedule, setAccelWithMaxTargetVelocity, setTargetVelocityWithMaxAccel, slowToStop, turnTowardPoint`

- - ### Method Detail

    - #### setLRFSensing

          void setLRFSensing(boolean sensing)

      Set whether or not the laser range finder is sensing anything. This should only be called by the actual physical simulator when it is providing sensing information to the Vehicle.
      Parameters:
        `sensing` - whether or not the laser range finder is sensing anything

Copyright © 2013. All rights reserved.